Are the wireless mouse and keyboard compatible with a MAC OS X Version 10.5.5?

Apple Magic Mouse

Back To Product

Follow this Question

1 Answer from the Community

  • Answer

    Both the Magic Mouse and the Wireless Keyboard require Mac OSX 10.5.8 or later

    Was this useful? Answer 1

    2 of 3 people found this useful

Related Questions